import { axios } from '@/utils/request'

const api = {
  repairRemind: '/admin/repairRemind'
}

export function getRepairRemindList (parameter) {
  return axios({
    url: api.repairRemind + '/list',
    method: 'get',
    params: parameter
  })
}

export function delRepairRemind (parameter) {
  return axios({
    url: api.repairRemind + '/remove',
    method: 'post',
    data: parameter
  })
}

export function batchRemove (parameter) {
  return axios({
    url: api.repairRemind + '/batchRemove',
    method: 'post',
    data: parameter
  })
}

export function clear (parameter) {
  return axios({
    url: api.repairRemind + '/clear',
    method: 'post',
    data: parameter
  })
}
